kdecore Library: KRFCDate Class Reference (kdecore Library)

| # kdecore Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KRFCDate Class Reference

The KRFCDate class contains functions related to the parsing of dates. More...

`#include <krfcdate.h>`

List of all members.

## Static Public Member Functions
static time_t | parseDate (const QString &date)
static time_t | parseDateISO8601 (const QString &date)
static int | localUTCOffset ()
static QCString | rfc2822DateString (time_t utcTime, int utcOffset)
static QCString | rfc2822DateString (time_t utcTime)

## Detailed Description

The KRFCDate class contains functions related to the parsing of dates.

Author:
  Waldo Bastian <bastian@kde.org>

Definition at line 32 of file krfcdate.h.

## Member Function Documentation

time_t KRFCDate::parseDate | ( | const QString & | date | ) | `[static]`

  | This function tries to parse a string containing a date/time in any of the formats specified by RFC822, RFC850, RFC1036, RFC1123 and RFC2822. If the date/time could not be parsed, 0 is returned. If the parsed date is epoch, then epoch+1 is returned so that a valid date will not be confused with an improper date string. The date/time returned is converted to UTC. Parameters:
  | date | the date to parse
Returns: the date, or 0 if not possible Definition at line 98 of file krfcdate.cpp.

time_t KRFCDate::parseDateISO8601 | ( | const QString & | date | ) | `[static]`

  | This function tries to parse a string containing a date/time in any of the formats specified by http://www.w3.org/TR/NOTE-datetime. This is a subset of the formats specified in ISO8601. If the date/time could not be parsed, 0 is returned. If the parsed date is epoch, then epoch+1 is returned so that a valid date will not be confused with an improper date string. The date/time returned is converted to UTC. Parameters:
  | date | the date to parse
Returns: the date, or 0 if not possible Definition at line 340 of file krfcdate.cpp. References QString::at(), QString::contains(), QString::find(), QString::findRev(), QString::left(), QString::length(), QString::mid(), QString::remove(), QString::right(), QStringList::split(), QString::stripWhiteSpace(), and QString::toUInt().

int KRFCDate::localUTCOffset | ( |  | ) | `[static]`

| Returns the local timezone offset to UTC in minutes. Returns: the local timezone offset in minutes Definition at line 446 of file krfcdate.cpp. Referenced by rfc2822DateString().

QCString KRFCDate::rfc2822DateString | ( | time_t | utcTime,
|  | int | utcOffset
| ) | `[static]`

  | Returns a string representation of the given date and time formated in conformance to RFC2822. Parameters:
  | utcTime | a date and time in UTC
  | utcOffset | the offset to UTC in minutes
Returns: the string representation of the date Definition at line 472 of file krfcdate.cpp. References QCString::sprintf(). Referenced by rfc2822DateString().

QCString KRFCDate::rfc2822DateString | ( | time_t | utcTime | ) | `[static]`

  | Returns a string representation of the given date and time formated in conformance to RFC2822. Provided for convenience, the function is equivalent to rfc2822DateString(t, localUTCOffset()). Parameters:
  | utcTime | a date and time in UTC
Returns: the string representation of the date Definition at line 490 of file krfcdate.cpp. References localUTCOffset(), and rfc2822DateString().

The documentation for this class was generated from the following files:

- krfcdate.h
- krfcdate.cpp

This file is part of the documentation for kdecore Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:18:58 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003